"""
Contains constants related to files and folders paths.
"""

# Suffixes
SOURCE_FILE_SUFFIX = "_source_data_file.xml"
INPUT_FILE_SUFFIX = "_input_file.xml"
OUTPUT_FILE_SUFFIX = "_output_file.xml"
FLIGHT_DATA_FILE_SUFFIX = "_flight_points.csv"
RECORDER_FILE_SUFFIX = "_cases.sql"

MDA_FILE_SUFFIX = "_mda"
MDO_FILE_SUFFIX = "_mdo"

# Processes names
MDA = "MDA"
MDO = "MDO"

# Separator
SEPARATOR = "_"

# Directories
WORK_DIRECTORY = "workdir"
DATA_DIRECTORY = "data"
INPUTS_DIRECTORY = "inputs"
OUTPUTS_DIRECTORY = "outputs"
RESOURCES_DIRECTORY = "resources"
TUTORIAL_DIRECTORY = "tutorial"

# Configuration files
MDA_CONFIGURATION_FILE = "oad_sizing_sensitivity_analysis.yml"
MDO_CONFIGURATION_FILE = "oad_optim_sensitivity_analysis.yml"

# Reference aircraft
REFERENCE_AIRCRAFT = "reference_aircraft"
DEFAULT_PROCESS_NAME = "aircraft"
